aboutsummaryrefslogtreecommitdiffstats
path: root/tools/check-commits.sh
diff options
context:
space:
mode:
authorPatrick Meyer <meyerpatrick@google.com>2021-05-06 14:25:01 +0200
committerDmitry Vyukov <dvyukov@google.com>2021-05-06 16:48:55 +0200
commit4a9b6c986c66bc8cf7ec73ff21df2591c7149d99 (patch)
tree62181fa526de7ec201a6b71008a2ec352a73a28a /tools/check-commits.sh
parent1e18fbd85e30227cdb38428c07707c1128240adf (diff)
tools: allow [^A-Z] after : in commit message instead of [a-z]
The old regexp choked on the following commit message, which we should allow according to dvyukov@: pkg/cover/backend: [symbStart, symbEnd) is a half-closed range
Diffstat (limited to 'tools/check-commits.sh')
-rwxr-xr-xtools/check-commits.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/check-commits.sh b/tools/check-commits.sh
index b83031e02..f0bfa8b63 100755
--- a/tools/check-commits.sh
+++ b/tools/check-commits.sh
@@ -23,7 +23,7 @@ for HASH in ${HASHES}; do
((COMMITS+=1))
SUBJECT=$(git show --format="%s" --no-patch ${HASH})
BODY=$(git show --format="%B" --no-patch ${HASH})
- if ! [[ ${SUBJECT} =~ ^(Revert \"|(([a-z0-9/_.-]+|Makefile|CONTRIBUTORS|README.md)(, )?)+:\ [a-z].+[^.]$) ]]; then
+ if ! [[ ${SUBJECT} =~ ^(Revert \"|(([a-z0-9/_.-]+|Makefile|CONTRIBUTORS|README.md)(, )?)+:\ [^A-Z].+[^.]$) ]]; then
echo "##[error]Wrong commit subject format: '${SUBJECT}'.\
Please use 'main/affected/package: short change description'.\
See docs/contributing.md for details."